Overview | Package | Class | Tree | Deprecated | Index | Help
| BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.compoze.collab.groupware
Class RecipientTypeEnum

    java.lang.Object
      |
      +--com.compoze.collab.CollabEnum
            |
            +--com.compoze.collab.groupware.RecipientTypeEnum

All Implemented Interfaces:
  com.compoze.collab.util.IDigestSupport, java.io.Serializable

Direct Known Subclasses:
  DominoRecipientTypeEnum

public class RecipientTypeEnum
extends CollabEnum
implements java.io.Serializable

The enumeration class that contains `RecipientType` elements.

See Also:
  Serialized Form

Field Summary
`static RecipientType` | `BCC`
`static RecipientType` | `CC`
`static int` | `NUM_ELEMENTS`
`static RecipientType` | `TO`
`static int` | `VALUE_BCC`
`static int` | `VALUE_CC`
`static int` | `VALUE_TO`

Fields inherited from class com.compoze.collab.CollabEnum
`m_elements`

Constructor Summary
`protected` | `RecipientTypeEnum(java.lang.Class elementClass, int iNumElements, com.compoze.collab.resource.ResourceBundleWrapper rbWrapper, EnumElement defaultElement, java.lang.String sInternalName, boolean bMaskable)` Constructor.
`protected` | `RecipientTypeEnum(int iNumElements)`

Method Summary
`static CollabEnum` | `i()` Gets the singleton.

Methods inherited from class com.compoze.collab.CollabEnum
`addElement, getDefaultElement, getElement, getElements, getInternalName, getRawElements, getResourceBundle, isDefaultElement, setDefaultElement, updateDigest`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### VALUE_TO

    public static final int VALUE_TO

### VALUE_CC

    public static final int VALUE_CC

### VALUE_BCC

    public static final int VALUE_BCC

### NUM_ELEMENTS

    public static final int NUM_ELEMENTS

### TO

    public static final RecipientType TO

### CC

    public static final RecipientType CC

### BCC

    public static final RecipientType BCC

Constructor Detail

### RecipientTypeEnum

    protected RecipientTypeEnum(java.lang.Class elementClass,
                                int iNumElements,
                                com.compoze.collab.resource.ResourceBundleWrapper rbWrapper,
                                EnumElement defaultElement,
                                java.lang.String sInternalName,
                                boolean bMaskable)

  Constructor.

### RecipientTypeEnum

    protected RecipientTypeEnum(int iNumElements)

Method Detail

### i

    public static CollabEnum i()

  Gets the singleton.

Overview | Package | Class | Tree | Deprecated | Index | Help
| BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ©1999-2005 BEA Systems, Inc. All rights reserved.